Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "16e02c3b-5ce8-3d98-a178-1a0559401443",
"total": {
"currency": "USD",
"amount": "1443.00",
"amount_minor": 144300
},
"sub_total": {
"currency": "USD",
"amount": "1443.00",
"amount_minor": 144300
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"remaining_total": {
"currency": "USD",
"amount": "1443.00",
"amount_minor": 144300
},
"credits_eligible_amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "1443.00",
"amount_minor": 144300
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
],
"expires_at": "2026-03-03T14:25:29.0000000+00:00"
}
}Show the Cart.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "16e02c3b-5ce8-3d98-a178-1a0559401443",
"total": {
"currency": "USD",
"amount": "1443.00",
"amount_minor": 144300
},
"sub_total": {
"currency": "USD",
"amount": "1443.00",
"amount_minor": 144300
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"remaining_total": {
"currency": "USD",
"amount": "1443.00",
"amount_minor": 144300
},
"credits_eligible_amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "1443.00",
"amount_minor": 144300
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
],
"expires_at": "2026-03-03T14:25:29.0000000+00:00"
}
}